<!-- <div class="impacted-adult-report">
  <app-content-banner [isDashboard]="false" pageName="Impacted Adult Home Application Listing Report"></app-content-banner>
  <mat-card class="impacted-adult-main-card mat-elevation-z0">

    <mat-card-header>

    </mat-card-header>

    <mat-card-content>
      <div class="example-small-box" fxLayout="column"> -->
        <div class="example-container">
          <form [formGroup]="reportFilterGroup">
            <section class="form-section regular-mat-form-field" fxLayout="column" fxLayoutGap="15px">

              <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="start center">
                <div fxFlex="30" fxLayoutAlign="start center"><mat-label class="red-label">Referral Date From: </mat-label></div>
                <div fxFlex fxLayoutAlign="start center"><mat-form-field appearance="outline">
                  <input matInput [matDatepicker]="referralDateFromPicker" formControlName="referralDateFrom" dateOnly
                    placeholder="MM/DD/YYYY" [max]="maxDate" required>
                  <mat-datepicker-toggle matSuffix [for]="referralDateFromPicker"></mat-datepicker-toggle>
                  <mat-datepicker #referralDateFromPicker></mat-datepicker>
                </mat-form-field></div>
                <div fxFlex="30">
                  <mat-error class="mat-radio-error" style="font-size: 12px;" *ngIf="submitted && reportFilterGroup.controls.referralDateFrom.hasError('matDatepickerMax')">Max Date should be today.</mat-error>
                  <mat-error class="mat-radio-error" style="font-size: 12px;" *ngIf="submitted && reportFilterGroup.controls.referralDateFrom.hasError('required')">Referral Date From is required.</mat-error>
                </div>
              </div>
              <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="start center">
                <div fxFlex="30" fxLayoutAlign="start center"><mat-label class="red-label">Referral Date To: </mat-label></div>
                <div fxFlex fxLayoutAlign="start center"><mat-form-field appearance="outline">
                  <input matInput [matDatepicker]="referralDateToPicker" formControlName="referralDateTo" dateOnly
                    placeholder="MM/DD/YYYY" [max]="maxDate" required>
                  <mat-datepicker-toggle matSuffix [for]="referralDateToPicker"></mat-datepicker-toggle>
                  <mat-datepicker #referralDateToPicker></mat-datepicker>
                </mat-form-field></div>
                <div fxFlex="30">
                  <mat-error class="mat-radio-error" style="font-size: 12px;" *ngIf="submitted && reportFilterGroup.controls.referralDateTo.hasError('matDatepickerMax')">Max Date should be today.</mat-error>
                  <mat-error class="mat-radio-error" style="font-size: 12px;" *ngIf="submitted && reportFilterGroup.controls.referralDateTo.hasError('required')">Referral Date To is required.</mat-error>
                </div>
              </div>
              <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="start center">
                <div fxFlex="30" fxLayoutAlign="start center"><mat-label class="red-label">Type of Site:</mat-label></div>
                <div fxFlex fxLayoutAlign="start center"><mat-form-field appearance="outline" fxFlex>
                  <mat-select formControlName="siteType" required>
                    <mat-option [value]="0">Select One</mat-option>
                    <mat-option *ngFor="let item of siteTypeList" [value]="item.siteTypeID">
                      {{item.siteTypeName}}
                    </mat-option>
                  </mat-select>
                </mat-form-field></div>
                <div fxFlex="30" fxLayoutAlign="start center">
                  <mat-error class="mat-radio-error" style="font-size: 12px;" *ngIf="submitted && reportFilterGroup.controls.siteType.value === 0">Type of Site is required.</mat-error>
                </div>
              </div>
              <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="start center">
                <div fxFlex="30" fxLayoutAlign="start center">
                  <mat-label class="red-label">Report Format:</mat-label>
                </div>
                <div fxFlex fxLayoutAlign="start center">
                  <mat-radio-group formControlName="reportFormat">
                    <mat-radio-button *ngFor="let item of reportFormatList" [value]="item.formatID">
                      {{item.formatName}}&nbsp;&nbsp;&nbsp;&nbsp;
                    </mat-radio-button>
                  </mat-radio-group>
                </div>
                <div fxFlex="30"><mat-error class="mat-radio-error" style="font-size: 12px;" *ngIf="submitted && reportFilterGroup.controls.reportFormat.hasError('radioGroupRequired')">Report Format is required.</mat-error></div>
              </div>
              <br />

              <div fxLayout="row" fxLayoutGap="10px">
                <div fxFlex="70" fxLayoutAlign="start" fxLayoutGap="10px">
                  <button type="button" mat-raised-button (click)="onClearClick()" color="warn">Clear</button>
                  <button mat-raised-button (click)="onSubmitClick()" color="primary">Submit</button>
                </div>
                <div fxFlex fxLayoutAlign="end" fxLayoutGap="10px">
                  <button mat-raised-button (click)="dialogCloseClicked()" color="primary">Exit</button>
                </div>
              </div>

            </section>
          </form>
        </div>
      <!-- </div>
    </mat-card-content>
  </mat-card>

</div> -->
